Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QWhatsThisClickedEvent

    java.lang.Object
      com.trolltech.qt.internal.QSignalEmitterInternal
          com.trolltech.qt.QSignalEmitter
              com.trolltech.qt.QtJambiObject
                  com.trolltech.qt.core.QEvent
                      com.trolltech.qt.gui.QWhatsThisClickedEvent

All Implemented Interfaces:
  QtJambiInterface

    public class QWhatsThisClickedEvent

extends QEvent

The `QWhatsThisClickedEvent` class provides an event that can be used to handle hyperlinks in a "What's This?" text.

See also:
  `QWhatsThis`, `QHelpEvent`, and `QStatusTipEvent`.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.core.QEvent
`QEvent.Type`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Nested classes/interfaces inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal`

Field Summary

Fields inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`currentSender`

Constructor Summary
`QWhatsThisClickedEvent(java.lang.String href)` Constructs an event containing a URL specified by `href` when a link is clicked in a "What's This?" message.

Method Summary
`java.lang.String` | `href()` Returns the URL that was clicked by the user in the "What's This?" text.
`java.lang.String` | `toString()` Returns a string representation of the `this QWhatsThisClickedEvent`.

Methods inherited from class com.trolltech.qt.core.QEvent
`accept, ignore, isAccepted, registerEventType, registerEventType, setAccepted, setT, spontaneous, t, type`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`__qt_signalInitialization`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QWhatsThisClickedEvent

    public QWhatsThisClickedEvent(java.lang.String href)

  Constructs an event containing a URL specified by `href` when a link is clicked in a "What's This?" message.

See also:
  `href()`.

Method Detail

### href

    public final java.lang.String href()

  Returns the URL that was clicked by the user in the "What's This?" text.

### toString

    public java.lang.String toString()

  Returns a string representation of the `this QWhatsThisClickedEvent`.

  Overrides:
    `toString` in class `QEvent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD